using System.Threading;
using Microsoft.SPOT;
using Microtoolskit.Hardware.IO;

namespace PANDA_3_I2C_MCP3424
{
    public class Program
    {
        public static void Main()
        {
            MCP342x can = new MCP342x();
            can.CHannel = MCP342x.Channel.Ch1;
            double canal = System.Math.Pow(2, (double)can.CHannel);

            can.Resolution = MCP342x.SampleRate.FourteenBits;
            int resolution = 12 + 2 * (byte)can.Resolution;

            can.Gain = MCP342x.PGA_Gain.x4;
            double gain = System.Math.Pow(2, (byte)can.Gain);

            while (true)
            {
                Debug.Print("Continuous on channel " + canal + " " + "Gain: " + gain + " " + "Resolution: " + resolution);
                Debug.Print("Tension = " + can.ReadVolts().ToString("F2"));
                Thread.Sleep(1000);
            }
        }
    }
}
